import { useQuery } from '@tanstack/react-query';

import { seriesQueryKeys } from '../series-query-keys';
import { seriesApi, type PostGetSeriesGroupsRanking } from '../series-api';

import type { BaseAxiosError } from '../../../../types';

export const useGetSeriesGroupsRanking = (enabled: boolean) => {
  return useQuery<PostGetSeriesGroupsRanking, BaseAxiosError>({
    queryKey: seriesQueryKeys.getSeriesGroupsRanking(),
    queryFn: async () => {
      const response = await seriesApi.getSeriesGroupsRanking();
      return response.data;
    },
    enabled
  });
};
