import { useQuery } from '@tanstack/react-query';

import { seriesQueryKeys } from '../series-query-keys';
import { seriesApi, type PostGetSeriesRanking } from '../series-api';

import type { BaseAxiosError } from '../../../../types';

export const useGetSeriesRanking = (
  id: number,
  page: number,
  page_size: number,
  enabled: boolean
) => {
  return useQuery<PostGetSeriesRanking, BaseAxiosError>({
    queryKey: seriesQueryKeys.getSeriesRanking(id, page, page_size),
    queryFn: async () => {
      const response = await seriesApi.getSeriesRanking(id, page, page_size);
      return response.data;
    },
    enabled
  });
};
